package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ElecUseH;
import com.ruoyi.ems.model.ElecUseSta;
import com.ruoyi.ems.model.QueryIndex;

import java.util.List;

/**
 * 用能计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-08-15
 */
@Deprecated
public interface IElecUseHService {
    /**
     * 查询用能计量-小时
     *
     * @param id 用能计量-小时主键
     * @return 用能计量-小时
     */
    ElecUseH getElecUseHById(Long id);

    /**
     * 查询用能计量-小时列表
     *
     * @param elecUseH 条件参数
     * @return 用能计量-小时集合
     */
    List<ElecUseH> getElecUseHList(ElecUseH elecUseH);

    /**
     * 查询用能计量-日列表
     *
     * @param queryIndex 条件参数
     * @return 用能计量-日集合
     */
    List<ElecUseH> getElecUseDayList(QueryIndex queryIndex);

    /**
     * 查询用能计量-小时列表(合并计算)
     *
     * @param elecUseH 条件参数
     * @return 用能计量-小时集合
     */
    List<ElecUseH> getElecUseHListSum(ElecUseH elecUseH);

    List<ElecUseSta> getSumBySubCategory(ElecUseH elecUseH);

    List<ElecUseSta> getSumByFacs(ElecUseH elecUseH);

    /**
     * 新增用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int insertElecUseH(ElecUseH elecUseH);

    /**
     * 修改用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int updateElecUseH(ElecUseH elecUseH);

    /**
     * 批量删除用能计量-小时
     *
     * @param ids 需要删除的用能计量-小时主键集合
     * @return 结果
     */
    int deleteElecUseHByIds(Long[] ids);

    /**
     * 删除用能计量-小时信息
     *
     * @param id 用能计量-小时主键
     * @return 结果
     */
    int deleteElecUseHById(Long id);
}
